## exactimage 0.7.4

=== Makefile ===
include config.make

X_OUTARCH := ./objdir

X_BUILD_IMPLICIT=0
include utility/Makefile
X_BUILD_IMPLICIT=1

# -s silcently corrupts binaries on OS X, sigh -ReneR
CFLAGS = -Wall -O2
CXXFLAGS = -Wall -O2 -Wno-sign-compare
#CFLAGS = -Wall -O0 -ggdb
#CXXFLAGS = -Wall -O0 -ggdb

# for config.h
CPPFLAGS += -I .

# -frename-registers and -funroll-loops brings a lot performance on
# my AMD Turion - about 20% time decrease (though it is included in -funroll-loops anyway) !!!

# from the linux-kernel build system:
cc-option = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
            > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ifeq "$(X_ARCH)" "i686"
CXXFLAGS += -march=i686
CXXFLAGS += $(call cc-option,-mtune=pentium4,)
endif

# TODO: improve to match i[3456]86
ifneq  "$(X_ARCH)" "i686"
CFLAGS += -fPIC
CXXFLAGS += -fPIC
endif

ifeq "$(X_ARCH)" "sparc64"
CXXFLAGS += -mcpu=ultrasparc
CXXFLAGS += $(call cc-option,-mtune=niagara,)
endif

CXXFLAGS += -funroll-loops -fomit-frame-pointer
CXXFLAGS += $(call cc-option,-funswitch-loops,)
CXXFLAGS += $(call cc-option,-fpeel-loops,)
CXXFLAGS += $(call cc-option,-ftracer,)
CXXFLAGS += $(call cc-option,-funit-at-a-time,)
CXXFLAGS += $(call cc-option,-frename-registers,)
CXXFLAGS += $(call cc-option,-ftree-vectorize,)

#CXXFLAGS += $(call cc-option,-mfpmath=sse,)

# we have some unimplemented colorspaces in the Image::iterator :-(
CXXFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)

# enable built-in version in case a system version is not present
ifeq "$(WITHLIBAGG)" "0"
include agg-2.4/Makefile
endif

MODULES = lib codecs bardecode frontends ContourMatching
include $(addsuffix /Makefile,$(MODULES))

ifeq "$(WITHX11)" "1"
ifeq "$(WITHEVAS)" "1"
include gfx/Makefile
include edisplay/Makefile
endif
endif

ifeq "$(WITHSWIG)" "1"
include api/Makefile

ifeq "$(WITHLUA)" "1"
include api/lua/Makefile
endif
ifeq "$(WITHPERL)" "1"
include api/perl/Makefile
endif
ifeq "$(WITHPHP)" "1"
include api/php/Makefile
endif
ifeq "$(WITHPYTHON)" "1"
include api/python/Makefile
endif
ifeq "$(WITHRUBY)" "1"
#include api/ruby/Makefile
endif

endif

check: $(X_OUTARCH)/econvert/econvert$(X_EXEEXT) $(X_OUTARCH)/edentify/edentify$(X_EXEEXT)
	$(Q)cd testsuite; ./run ../$(X_OUTARCH)/econvert/econvert$(X_EXEEXT)

=== agg-2.4/Makefile ===
include build/top.make

SRCS = $(filter-out $(NOT_SRCS), $(notdir $(wildcard $(X_MODULE)/src/*.cpp )))

CPPFLAGS += -I agg-2.4/include

ifeq "$(WITHFREETYPE)" "1"
SRCS += agg_font_freetype.cpp
CPPFLAGS += $(FREETYPEINCS)
CPPFLAGS += -I agg-2.4/font_freetype
endif

ifeq "$(WITHWIN32)" "1"
SRCS += agg_font_win32_tt.cpp
CPPFLAGS += 
CPPFLAGS += -I agg-2.4/font_win32_tt
endif

BINARY = libagg
BINARY_EXT = $(X_LIBEXT)

$($(X_MODULE)_OUTPUT)/%.o: $(X_MODULE)/src/%.cpp
	@echo '  C++       $@'
	$(Q)$(COMPILE.cc) $($(dir $@)CXXFLAGS) -MMD -MP -MF '$(patsubst %.o,%.d,$@)' -o '$@' '$<'

$($(X_MODULE)_OUTPUT)/%.o: $(X_MODULE)/font_freetype/%.cpp
	@echo '  C++       $@'
	$(Q)$(COMPILE.cc) $($(dir $@)CXXFLAGS) -MMD -MP  -MF '$(patsubst %.o,%.d,$@)' -o '$@' '$<'

include build/bottom.make

=== edisplay/Makefile ===

include build/top.make

BINARY = edisplay
BINARY_EXT = $(X_EXEEXT)

CPPFLAGS += -I . -I lib -I gfx

DEPS += $(X_OUTARCH)/gfx/X11Helper$(X_OBJEXT) $(X_OUTARCH)/gfx/EvasHelper$(X_OBJEXT) $(X_OUTARCH)/utility/Timer$(X_OBJEXT) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(lib_BINARY) $(codecs_BINARY)

include build/bottom.make

=== lib/Makefile ===
include build/top.make

BINARY = lib
BINARY_EXT = $(X_LIBEXT)
DEPS =

# as fallback use the built-in Agg, we depend on it, ...

ifeq "$(WITHLIBAGG)" "0"
DEPS += $(agg-2.4_BINARY)
else
CPPFLAGS += $(LIBAGGINCS)
LDFLAGS += $(LIBAGGLIBS)
ifeq "$(WITHFREETYPE)" "1"
LDFLAGS += -laggfontfreetype
endif
endif

ifeq "$(WITHFREETYPE)" "1"
CPPFLAGS += $(FREETYPEINCS)
LDFLAGS += $(FREETYPELIBS) 
endif

CPPFLAGS += -I lib -I utility

include build/bottom.make

=== api/python/Makefile ===
include build/top.make

BINARY = _ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc

objdir/api/python/CXXFLAGS := -I api $(PYTHONINCS)

$($(X_MODULE)_OUTPUT)/api-python-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -python -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PYTHON module $^"
	$(Q)mkdir -p $(DESTDIR)$(libdir)/python2.5/site-packages/
	$(Q)install $(dir $^)/ExactImage.py $^ $(DESTDIR)$(libdir)/python2.5/site-packages/

## exactimage 0.8.1

=== Makefile ===
--- 
+++ 
@@ -51,11 +51,6 @@
 # we have some unimplemented colorspaces in the Image::iterator :-(
 CXXFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)
 
-# enable built-in version in case a system version is not present
-ifeq "$(WITHLIBAGG)" "0"
-include agg-2.4/Makefile
-endif
-
 MODULES = lib codecs bardecode frontends ContourMatching
 include $(addsuffix /Makefile,$(MODULES))

=== bardecode/Makefile ===
include build/top.make

#BINARY = bardecode
#BINARY_EXT = $(X_LIBEXT)

DEPS = 

CPPFLAGS += -I bardecode

include build/bottom.make

=== codecs/Makefile ===
include build/top.make

ifeq "$(WITHLIBJPEG)" "1"
LDFLAGS += -ljpeg
else
NOT_SRCS += jpeg.cc transupp.c
endif

ifeq "$(WITHLIBTIFF)" "1"
LDFLAGS += -ltiff -ltiffxx
else
NOT_SRCS += tiff.cc
endif

ifeq "$(WITHLIBPNG)" "1"
LDFLAGS += -lpng
else
NOT_SRCS += png.cc
endif

ifeq "$(WITHLIBUNGIF)" "1"
LDFLAGS += -lungif
else
NOT_SRCS += gif.cc
endif

ifeq "$(WITHJASPER)" "1"
LDFLAGS += -ljasper
else
NOT_SRCS += jpeg2000.cc
endif

ifeq "$(WITHOPENEXR)" "1"
CPPFLAGS += $(OPENEXRINCS)
LDFLAGS += $(OPENEXRLIBS)
else
NOT_SRCS += openexr.cc
endif

ifeq "$(WITHLCMS)" "1"
LDFLAGS += $(LCMSLIBS)
endif

ifeq "$(WITHEXPAT)" "1"
LDFLAGS += $(EXPATLIBS)
else
NOT_SRCS += agg_svg_parser.cc agg_svg_path_renderer.cc \
            agg_svg_path_tokenizer.cc svg.cc
endif

ifeq "$(PCX)" "0"
NOT_SRCS += pcx.cc
endif

ifeq "$(TGA)" "0"
NOT_SRCS += tga.cc
endif 

BINARY = lib
BINARY_EXT = $(X_LIBEXT)
DEPS =

CPPFLAGS += -I codecs/
LDFLAGS += -lz # for the PDF compression, TODO: check for availability and disable the support code otherwise

include build/bottom.make

=== edisplay/Makefile ===

include build/top.make

BINARY = edisplay
BINARY_EXT = $(X_EXEEXT)

CPPFLAGS += -I . -I lib -I gfx $(shell pkg-config evas --atleast-version 0.9.9.050 && echo -D WITHEVAS_X11_CONNECTION)

DEPS += $(X_OUTARCH)/gfx/X11Helper$(X_OBJEXT) $(X_OUTARCH)/gfx/EvasHelper$(X_OBJEXT) $(X_OUTARCH)/utility/Timer$(X_OBJEXT) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(lib_BINARY) $(codecs_BINARY)

include build/bottom.make

=== gfx/Makefile ===

# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: gfx/src/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and Ren Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

include build/top.make

BINARY = libgsmpgfx
BINARY_EXT = $(X_LIBEXT)

CPPFLAGS += $(X11INCS) $(EVASINCS) -Igfx $(shell pkg-config evas --atleast-version 0.9.9.027 && echo -D WITHEVAS_COLOR_PREMUL)
LDFLAGS += $(X11LIBS) -lXrender $(EVASLIBS)

include build/bottom.make

=== utility/Makefile ===
# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: utility/src/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and Ren Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

NOT_INCS := BinomiHeap.hh

include build/top.make

BINARY = libgsmutil
BINARY_EXT = $(X_DYNEXT)
DEPS =

CXXFLAGS += -I utility/
LDFLAGS += $(SIGC2LIBS) # -ldl -pthread 

include build/bottom.make

=== api/python/Makefile ===
--- 
+++ 
@@ -21,4 +21,4 @@
 install:: $($(X_MODULE)_BINARY)
 	$(Q)echo "INSTALL PYTHON module $^"
 	$(Q)mkdir -p $(DESTDIR)$(libdir)/python2.5/site-packages/
-	$(Q)install $(dir $^)/ExactImage.py $^ $(DESTDIR)$(libdir)/python2.5/site-packages/
+	$(Q)install $(dir $^)/ExactImage.py $^ $(DESTDIR)$(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()')/

=== debian/changelog ===
exactimage (0.8.1-3+deb6u3) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.1-3+deb6u2) oldstable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200

exactimage (0.8.1-3) unstable; urgency=low

  * Don't use upstream Makefile to install Python modules (really closes:
    #582431).
  * Disable dead code that is causing compilation errors (closes: #583281).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 30 May 2010 11:36:08 +0200

exactimage (0.8.1-1) unstable; urgency=low

  * New upstream release:
    + Drop configure-perl-detection.diff, different fix applied upstream.
    + Drop utility-timer-dead-code.diff, different fix applied upstream.
  * Fix FTBFS with nostrip build option.
  * Remove bogus Python modules directory created by upstream Makefile
    (closes: #582431). Thanks to Stefano Rivera for the bug report.
  * Use DESTDIR, not prefix, for make install.
  * Update years in debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 21 May 2010 01:28:14 +0200

exactimage (0.8.0-4) unstable; urgency=low

  * Patch the configure script to make detection of Perl more robust
    (closes: #578549). Thanks to Niko Tyni for the bug report.
    [configure-perl-detection.diff]

 -- Jakub Wilk <jwilk@debian.org>  Thu, 22 Apr 2010 20:53:59 +0200

exactimage (0.8.0-2) unstable; urgency=low

  * Add ‘X_SYSTEM=Linux’ to yet another make invocation to fix build failures
    on non-Linux systems.
  * Rewrite manual pages in DocBook XML from scratch.
    + Build-depend on docbook-xsl, docbook-xml, xsltproc, libxml2-utils.
  * Add proper Replaces/Conflicts to the libexactimage-perl, which were
    accidentally ommited in the previous release.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 11 Apr 2010 20:09:24 +0200

exactimage (0.8.0-1) unstable; urgency=low

  * New upstream release:
    + --help no longer trigger errors (closes: #574880, #574885, #574890).
    + SVG with invalid path no longer leads to crashes (closes: #574124).
    + Drop edisplay-dpy.diff, applied upstream.
    + Drop utility-timer-syntax-error.diff, applied upstream.
    + Refresh other patches.
  * Improve package descriptions (both in debian/control and in manual pages).
  * Shorten “SEE ALSO” sections of manual pages.
  * Disable dead code in utility/Timer.cc, as it is causing build failures on
    some architectures. [utility-timer-dead-code.diff]
  * Explicitly disable building with evas.
  * Build extensions for all supported Python versions.
    + Build-depend on python-all-dev.
    + Update debian/rules accordingly.
  * Add ‘Q=’ to each make invocation to make build process more verbose.
  * Embedded copy of AGG is no longer shipped; remove references from
    debian/copyright.
  * Install Perl modules into the correct directory (closes: #575749).
    Thanks to Bruce Stephens for the bug report.
  * In order to comply with Perl Policy 4.2, rename exactimage-perl to
    libexactimage-perl (closes: #575935). Thanks to Ansgar Burchardt for the
    bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Apr 2010 21:11:38 +0200

exactimage (0.7.5-3) unstable; urgency=low

  * Fix FTBFS with Python 2.6 as the default version (closes: #571209).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 15:07:57 +0100

exactimage (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #543838).
  * Switch to source format 3.0 (quilt).
  * Various improvements in package building:
    + Add ‘X_SYSTEM=Linux’ to each make invocation to enable compilation on
      non-Linux systems.
    + Fix building Python modules (closes: #568671):
      - Add XS-Python-Version header.
      - Build depend on python-dev (>= 2.5.4) rather than python-all-dev (for
        now, only modules for the current Python version are built).
      - As upstream Makefile always put the modules in 2.5 directory, move
        them into the right one in debian/rules.
      - Move *.so with detached symbols to a directory where gdb will expect
        it.
      - Update debian/*.install to catch both site-packages and dist-packages.
      - Drop debian/pycompat.
    + Fix syntax and name errors. [utility-timer-syntax-error.diff,
      edisplay-dpy.diff]
    + Link with system copy of AGG (closes: #570089):
      - Update debian/rules.
      - Add missing includes. [agg-missing-includes.diff]
      - Use PIC version of static AGG library. [agg-pic.diff]
    + Don't let the configure script be called more that once.
    + Produce debugging information for the core library.
    + Respect the ‘noopt’ build option.
      [makefile-cflags.diff]
    + Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Fix exactimage-dbg package description.
  * Remove duplicate section field for the binary package.
  * Add ‘Depends: ${misc:Depends}’ to binary packages.
  * Add watchfile.
  * Fix typos: in the manual pages and in frontends/econvert.cc.
    [econvert-typo.diff]
  * Bump standards version to 3.8.4 (no changes needed).
  * Add Vcs-* fields.
  * Remove all references to edisplay, as Debian package cannot ship it for
    now (see bug #520975).
  * Update debian/copyright; convert it to the DEP-5 format.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Feb 2010 18:34:31 +0100

exactimage (0.7.4-3) unstable; urgency=low

  * QA upload.
  * Remove alternatives to the phpapi-* dependency (Closes: #566296)

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 19:26:25 -0600

exactimage (0.7.4-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.og>  Thu, 27 Aug 2009 07:15:20 +0200



=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7),
 libexpat-dev, libfreetype6-dev,
 libx11-dev,
 libgif-dev, libjasper-dev, libjpeg-dev, liblcms1-dev, libtiff-dev,
 libopenexr-dev, libagg-dev, libpng12-dev,
 libperl-dev, php5-dev, pkg-config, python-all-dev (>= 2.5), python-support, swig,
 docbook-xsl, docbook-xml, xsltproc, libxml2-utils
XS-Python-Version: >= 2.5
Standards-Version: 3.8.4
Homepage: http://www.exactcode.de/site/open_source/exactimage/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/exactimage
Vcs-Browser: http://hg.debian.org/hg/collab-maint/exactimage

Package: exactimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: exactimage-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, exactimage (= ${binary:Version}), libexactimage-perl (= ${binary:Version}), php5-exactimage (= ${binary:Version}), python-exactimage (= ${binary:Version})
Description: fast image manipulation library (debug symbols)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains debug symbols.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: exactimage-perl (<< 0.8)
Replaces: exactimage-perl (<< 0.8)
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: exactimage-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, libexactimage-perl
Description: transitional dummy package
 This dummy package is provided for a smooth transition from the former
 exactimage-perl package. It can safely be removed after installation.

Package: php5-exactimage
Section: php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
Description: fast image manipulation library (PHP bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the PHP bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed
ifeq ($(filter noopt,$(DEB_BUILD_OPTIONS)),noopt)
export CFLAGS = -O0 -g -Wall
else
export CFLAGS = -O2 -g -Wall
endif

MAKE := $(MAKE) X_SYSTEM=Linux Q=
PHPAPI = $(shell php-config5 --phpapi)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f config.make ] || $(MAKE) clean
	rm -f config.* conftest.*
	rm -rf objdir/api/python*.*/
	dh_clean

config.make: configure
	dh_testdir
	./configure --prefix=/usr --with-ruby=no --with-evas=no

build: build-stamp
build-stamp: config.make
	dh_testdir
	mkdir -p objdir/api/python/
	touch objdir/api/python/_ExactImage.so # prevent from being built this time
	$(MAKE)
	set -e; \
	for python in $(shell pyversions -r); do \
		rm -f objdir/api/python/_ExactImage.so; \
		$(MAKE) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
		mkdir -p objdir/api/$$python; \
		cp objdir/api/python/*.so objdir/api/$$python/; \
		cp objdir/api/python/*.py objdir/api/$$python/; \
		chmod a-x objdir/api/$$python/*; \
	done
	$(MAKE) -C debian/manpages/
	rm debian/manpages/edisplay.1
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp WITHPYTHON=0 install
	mkdir debian/tmp/usr/lib/php5
	mv debian/tmp/usr/lib/php debian/tmp/usr/lib/php5/$(PHPAPI)
	echo "php:Depends=phpapi-$(PHPAPI)" >> debian/php5-exactimage.substvars
	set -e; \
	for python in $(shell pyversions -r); do \
		mkdir -p debian/tmp/usr/lib/$$python/site-packages/; \
		cp -a objdir/api/$$python/* debian/tmp/usr/lib/$$python/site-packages/; \
	done
	cd debian/tmp/usr/lib/perl5 && mv site_perl/* . && rmdir site_perl

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_installman
ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
	dh_strip --dbg-package=exactimage-dbg
	set -e; \
	cd debian/exactimage-dbg/usr/lib/debug/usr/lib; \
		mkdir pymodules; \
		for python in $(shell pyversions -r); do \
			mv $$python/*-packages/* $$python/; \
			rm -Rf $$python/*-packages/; \
			mv $$python/ pymodules/; \
		done
endif
	dh_compress
	dh_fixperms
	dh_perl
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

# vim:ts=4 sw=4 noet

## exactimage 0.8.5

=== debian/changelog ===
exactimage (0.8.5-3) unstable; urgency=low

  * QA upload.
  * Patch libpng15: Fix FTBFS with libpng 1.5 (closes: #635745).
    Thanks to Nobuhiro Iwamatsu for the patch!

 -- Ralf Treinen <treinen@debian.org>  Fri, 05 Aug 2011 12:04:05 +0200

exactimage (0.8.5-2) unstable; urgency=low

  * QA upload (see #587062).
    + Set Maintainer to Debian QA Group.
  * Add build-arch and build-indep targets.
  * Remove Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 17 Jun 2011 00:08:28 +0200

exactimage (0.8.5-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
  * Fix a formatting error in the bardecode manual page.
  * Bump standards version to 3.9.1:
    + Replace Conflicts with Breaks.
  * Drop debian/pyversions.
  * Export LDFLAGS.
  * Use dpkg-buildflags. Build depend on dpkg-dev (>= 1.15.7).
  * Drop transitional dummy package exactimage-perl.
  * Respect the ‘parallel’ build option.
  * Use OpenMP: append ‘-fopenmp’ to CFLAGS.
  + Build edisplay (closes: #520975):
    - Build depend on libevas-dev and libxrender-dev.
    - Automatically generate dependencies on libevas*-engines-x.
    - Restore references to edisplay in package description and in manual pages.
    - Install MIME information.
  * Loosen dependencies of the exactimage-dbg package. Use Breaks to ensure
    that versions of packages matches.
  * Bump standards to version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 14:30:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-LDFLAGS = -Wl,--as-needed
-ifeq ($(filter noopt,$(DEB_BUILD_OPTIONS)),noopt)
-export CFLAGS = -O0 -g -Wall
-else
-export CFLAGS = -O2 -g -Wall
+export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -fopenmp
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    parallel = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 MAKE := $(MAKE) X_SYSTEM=Linux Q=
@@ -21,26 +21,29 @@
 
 config.make: configure
 	dh_testdir
-	./configure --prefix=/usr --with-ruby=no --with-evas=no
+	./configure --prefix=/usr --with-ruby=no
 
-build: build-stamp
+build: build-indep build-arch
+
+build-arch: build-stamp
 build-stamp: config.make
 	dh_testdir
 	mkdir -p objdir/api/python/
 	touch objdir/api/python/_ExactImage.so # prevent from being built this time
-	$(MAKE)
+	$(MAKE) $(parallel)
 	set -e; \
 	for python in $(shell pyversions -r); do \
 		rm -f objdir/api/python/_ExactImage.so; \
-		$(MAKE) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
+		$(MAKE) $(parallel) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
 		mkdir -p objdir/api/$$python; \
 		cp objdir/api/python/*.so objdir/api/$$python/; \
 		cp objdir/api/python/*.py objdir/api/$$python/; \
 		chmod a-x objdir/api/$$python/*; \
 	done
-	$(MAKE) -C debian/manpages/
-	rm debian/manpages/edisplay.1
+	$(MAKE) $(parallel) -C debian/manpages/
 	touch build-stamp
+
+build-indep:
 
 install: build
 	dh_testdir
@@ -66,7 +69,10 @@
 	dh_installdocs
 	dh_installexamples
 	dh_install --fail-missing --sourcedir=debian/tmp
+	mkdir -p debian/edisplay/usr/bin/
+	mv debian/exactimage/usr/bin/edisplay debian/edisplay/usr/bin/
 	dh_installman
+	rm debian/exactimage/usr/share/man/man*/edisplay.*
 ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
 	dh_strip --dbg-package=exactimage-dbg
 	set -e; \
@@ -82,14 +88,16 @@
 	dh_fixperms
 	dh_perl
 	dh_pysupport
+	dh_installmime
 	dh_installdeb
 	dh_shlibdeps
+	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
 binary-indep:
 
-.PHONY: clean build install binary binary-arch binary-indep
+.PHONY: clean build build-arch build-indep install binary binary-arch binary-indep
 
 # vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://dl.exactcode.de/oss/exact-image/ exact-image-([0-9.]+).tar.bz2

## exactimage 0.8.8

=== debian/changelog ===
exactimage (0.8.8-3build1) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:56:12 +0100

exactimage (0.8.8-3) unstable; urgency=low

  * Disable LTO again because it triggers binutils bug PR/15323 (or similar) on
    armel, armhf, ia64, mips, mipsel, powerpc, ...

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Jun 2013 10:55:06 +0200

exactimage (0.8.8-2) unstable; urgency=low

  * debian/patches:
    - Add verbose_build.patch, Enforce simple verbose build for blhc
    - Add decode_before_read_stride.patch, Decode image before accessing the
      stride attribute for rotation (Closes: #523948)
    - Add tga_memcpy_signature.patch, Don't write outside tga signature array
    - Add spelling_error.patch, Fix "characters" spelling error
  * debian/rules:
    - Activate LTO for reduce binary size
  * debian/control
    - Remove Daniel Stender as maintainer (Closes: #708417)
    - Switch from libtiff-dev provided by oldlib libtiff4-dev to libtiff5-dev

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Jun 2013 22:59:02 +0200

exactimage (0.8.8-1) unstable; urgency=low

  [ Sven Eckelmann ]
  * New Upstream Version
  * debian/control:
    - Reformat for better usability with version control systems
    - Add Vcs-* fields to debian/control
    - Upgraded to policy 3.9.4, no changes required
  * Update debian/copyright to copyright-format 1.0
  * Update compat level to 9
  * debian/rules:
    - Enable security flags in debian/rules
    - Convert to dh
    - Fix installation path for python modules
    - Provide optional target get-orig-source
  * debian/patches:
    - Use common suffix .patch
    - Rebase on top of 0.8.8
    - Remove upstream merged edentify_tga_mismatch.patch, gcc47.patch,
      missing_include_vector.patch, optimize2bw_denoise.patch
  * Convert from python-support to python2
  * Update years in debian/copyright

  [ Boris Pek ]
  * debian/copyright:
    - Corrected license text for codecs/dcraw.h
    - Use more specific BSD-3-clause license short name instead of BSD
    - Replace old dep-5 style "|" with "or"

  [ Bart Martens ]
  * Rewrite debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 May 2013 13:12:03 +0200

exactimage (0.8.5-5) unstable; urgency=low

  * debian/control:
    - Add Daniel Stender and Sven Eckelmann as new maintainer (Closes: #587062)
    - Depend on libpng-dev instead of libpng12-dev (Closes: #662317)
    - Depend on libjpeg8-dev to avoid hiccups with other libjpeg versions
  * debian/patches:
    - Add edentify_tga_mismatch.patch, Fix misidentification of PNM as TGA
      (Closes: #575324)
    - missing_include_vector.patch, Add missing includes for std::vector
    - Add libjpeg8_compat.patch, Build jpeg functionality for libjpeg8 to avoid
      crashes and other hiccups (Closes: #679775)
    - Add optimize2bw_denoise.patch, Fix optimize2bw denoise crash on 64-bit
      systems (Closes: #679772)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Jul 2012 15:55:10 +0200

exactimage (0.8.5-4) unstable; urgency=low

  * QA upload.
  * Fix build failure with GCC 4.7 (Sven Eckelmann). Closes: #667159.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:23:46 +0000

=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 3.9.4
Homepage: http://www.exactcode.de/site/open_source/exactimage/
Vcs-Git: git://anonscm.debian.org/collab-maint/exactimage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/exactimage.git
Build-Depends:
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1.1),
 libagg-dev,
 libevas-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgif-dev,
 libjasper-dev,
 libjpeg8-dev,
 liblcms1-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff5-dev,
 libx11-dev,
 libxml2-utils,
 libxrender-dev,
 php5-dev,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 swig,
 xsltproc,
X-Python-Version: >= 2.5

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: edisplay
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: edisplay
Architecture: any
Depends:
 ${evas:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs (image viewer)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the image viewer.

Package: exactimage-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 exactimage
 | edisplay
 | libexactimage-perl
 | php5-exactimage
 | python-exactimage
Breaks:
 edisplay (<< ${binary:Version}),
 edisplay (>> ${binary:Version}),
 exactimage (<< ${binary:Version}),
 exactimage (>> ${binary:Version}),
 libexactimage-perl (<< ${binary:Version}),
 libexactimage-perl (>> ${binary:Version}),
 php5-exactimage (<< ${binary:Version}),
 php5-exactimage (>> ${binary:Version}),
 python-exactimage (<< ${binary:Version}),
 python-exactimage (>> ${binary:Version}),
Description: fast image manipulation library (debug symbols)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains debug symbols.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 exactimage-perl (<< 0.8),
Replaces:
 exactimage-perl (<< 0.8),
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: php5-exactimage
Section: php
Architecture: any
Depends:
 ${misc:Depends},
 ${php:Depends},
 ${shlibs:Depends},
Description: fast image manipulation library (PHP bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the PHP bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides}
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-fopenmp
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

MAKEOPTIONS = X_SYSTEM=Linux Q=

DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

MAKE := $(MAKE) X_SYSTEM=Linux Q=
PHPAPI = $(shell php-config5 --phpapi)

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing --with=python2

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_configure:
	./configure --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --libdir=/usr/lib --libexecdir=/usr/lib --with-ruby=no

override_dh_auto_build:
	mkdir -p objdir/api/python/
	touch objdir/api/python/_ExactImage.so # prevent from being built this time
	dh_auto_build -- all $(MAKEOPTIONS)
	set -e; \
	for python in $(shell pyversions -r); do \
		rm -f objdir/api/python/_ExactImage.so; \
		dh_auto_build -- $(MAKEOPTIONS) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
		mkdir -p objdir/api/$$python; \
		cp objdir/api/python/*.so objdir/api/$$python/; \
		cp objdir/api/python/*.py objdir/api/$$python/; \
		chmod a-x objdir/api/$$python/*; \
	done
	$(MAKE) -C debian/manpages/

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS) WITHPYTHON=0
	mkdir debian/tmp/usr/lib/php5
	mv debian/tmp/usr/lib/php debian/tmp/usr/lib/php5/$(PHPAPI)
	echo "php:Depends=phpapi-$(PHPAPI)" >> debian/php5-exactimage.substvars
	set -e; \
	for python in $(shell pyversions -r); do \
		PYDIR=$$($${python} -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'); \
		mkdir -p debian/tmp/$${PYDIR}; \
		cp -a objdir/api/$$python/* debian/tmp/$${PYDIR}; \
	done
	cd debian/tmp/usr/lib/perl5 && mv site_perl/* . && rmdir site_perl

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps

## exactimage 0.8.9

=== ContourMatching/Makefile ===
include build/top.make

# build each .cc file as executable - if this is not desired
# in the future a list must be supplied manually ...
BINARY = $(basename $(notdir $(wildcard $(X_MODULE)/*.cc)))

BINARY_EXT = $(X_EXEEXT)
DEPS = $(lib_BINARY) $(codecs_BINARY) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT)

CPPFLAGS += -I utility

X_NO_INSTALL := 1
include build/bottom.make
X_NO_INSTALL := 0

=== codecs/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 ifeq "$(WITHLIBTIFF)" "1"
-LDFLAGS += -ltiff -ltiffxx
+LDFLAGS += -ltiff # -ltiffxx
 else
 NOT_SRCS += tiff.cc
 endif

=== edisplay/Makefile ===

include build/top.make

BINARY = edisplay
BINARY_EXT = $(X_EXEEXT)

CPPFLAGS += -I . -I lib -I gfx
CPPFLAGS +=  $(shell pkg-config evas --atleast-version 0.9.9.050 && echo -D WITHEVAS_X11_CONNECTION)
CPPFLAGS +=  $(shell pkg-config evas --atleast-version 0.9.9.49898 && echo -D WITHEVAS_X11_SCREEN)

DEPS += $(X_OUTARCH)/gfx/X11Helper$(X_OBJEXT) $(X_OUTARCH)/gfx/EvasHelper$(X_OBJEXT) $(X_OUTARCH)/utility/Timer$(X_OBJEXT) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(lib_BINARY) $(codecs_BINARY)

include build/bottom.make

=== frontends/Makefile ===
include build/top.make

ifneq "$(WITHLIBTIFF)" "1"
NOT_SRCS += e2mtiff.cc
endif

# build each .cc file as executable - if this is not desired
# in the future a list must be supplied manually ...

BINARY = $(basename $(filter-out $(NOT_SRCS), $(notdir $(wildcard $(X_MODULE)/*.cc $(X_MODULE)/*.c))) $(SRCS))

BINARY_EXT = $(X_EXEEXT)
DEPS = $(lib_BINARY) $(codecs_BINARY) $(bardecode_BINARY) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(X_OUTARCH)/utility/File$(X_OBJEXT)

CPPFLAGS += -I utility

include build/bottom.make

=== api/php/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-php-wrap.cc

objdir/api/php/CXXFLAGS := -I api $(PHPINCS) -fno-strict-aliasing

$($(X_MODULE)_OUTPUT)/api-php-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -php5 -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PHP module $^"
	$(Q)mkdir -p $(DESTDIR)$(libdir)/php/
	$(Q)install $^ $(dir $^)/ExactImage.php $(DESTDIR)$(libdir)/php/

=== api/ruby/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-ruby-wrap.cc

objdir/api/ruby/CXXFLAGS := -I api $(RUBYINCS)

$($(X_MODULE)_OUTPUT)/api-ruby-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -ruby -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PERL module $($(X_MODULE)_OUTPUT)/..."
	$(Q)mkdir -p $(DESTDIR)$(libdir)/ruby/...
	$(Q)install $($(X_MODULE)_OUTPUT)/ExactImage.pm $($(X_MODULE)_BINARY) $(DESTDIR)$(libdir)/ruby/...

=== utility/tests/Makefile ===

# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: utility/tests/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and Ren Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

TOPDIR  = ../..

NOT_SRCS := 

include $(TOPDIR)/Rules.pre

BUILD_PROGS := Delete Logging Thread Attribute File Find ThreadedFind

all: $(BUILD_OBJS) $(BUILD_PROGS)

include $(TOPDIR)/Rules

INCDIRS := . ../include ../../dam/include

INCLUDES := $(SIGC2INCS) \
            $(filter-out $(NOT_INCS), \
            $(foreach dir, $(INCDIRS), -I$(dir)))

LIBS := $(SIGCLIBS) -ldl ../src/libgsmutil.so

=== debian/changelog ===
exactimage (0.8.9-3build1) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:20:18 +0000

exactimage (0.8.9-3) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add libgif.patch, Link against libgif instead of deprecated libungif
      (Closes: #732327)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Dec 2013 19:55:34 +0100

exactimage (0.8.9-2) unstable; urgency=high

  * Fix CVE-2013-1441: exactimage: DoS, econvert crashes
  * debian/gbp.conf
    - Force pristine-tar to guarantee correct orig tarball with git-buildpackage
  * debian/patches:
    - Add CVE-2013-1441.patch, exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:05:50 +0200

exactimage (0.8.9-1) unstable; urgency=high

  * New Upstream Version
  * Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)
  * debian/rules:
    - Enable section garbage collection to reduce size caused by partial linked
      static library
    - Provide override_dh_auto_clean/test to avoid problems with stricter
      debhelper clean/test behavior since 9.20130720
  * debian/patches:
    - Add gcc_48_dcraw_infinite_loop.patch, Avoid infinite loops generated by
      GCC 4.8 caused by undefined behaviour
    - Remove upstream merged tga_memcpy_signature.patch and spelling_error.patch
    - Add CVE-2013-1438, Fix CVE-2013-1438

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 16:17:32 +0200

exactimage (0.8.5-5+deb7u3) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1441.patch,
    Fix CVE-2013-1441: exactimage: DoS, econvert crashes

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Sep 2013 21:27:57 +0200

exactimage (0.8.5-5+deb7u2) stable-security; urgency=high

  * Add debian/patches/CVE-2013-1438.patch,
    Fix CVE-2013-1438: multiple denial of service vulnerabilities
    (Closes: #721236)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Aug 2013 17:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.exactcode.de/site/open_source/exactimage/
 Vcs-Git: git://anonscm.debian.org/collab-maint/exactimage.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/exactimage.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND=-fopenmp
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND=-fopenmp -ffunction-sections -fdata-sections
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,--gc-sections
 
 MAKEOPTIONS = X_SYSTEM=Linux Q=
 
@@ -19,6 +19,12 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --libdir=/usr/lib --libexecdir=/usr/lib --with-ruby=no
+
+override_dh_auto_clean:
+	touch config.make
+	dh_auto_clean -- $(MAKEOPTIONS)
+
+override_dh_auto_test:
 
 override_dh_auto_build:
 	mkdir -p objdir/api/python/
@@ -56,4 +62,4 @@
 	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps
+	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test

=== debian/watch ===
version=3
http://dl.exactcode.de/oss/exact-image/exact-image(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
